base-compat-0.13.1: A compatibility layer for base

Safe Haskell | Safe-Inferred
Language | Haskell2010

Control.Concurrent.MVar.Compat

Synopsis

- module Control.Concurrent.MVar
- withMVarMasked :: MVar a -> (a -> IO b) -> IO b

# Documentation

module Control.Concurrent.MVar

withMVarMasked :: MVar a -> (a -> IO b) -> IO b Source #

Like `withMVar`, but the `IO` action in the second argument is executed with asynchronous exceptions masked.

Since: base-4.7.0.0